/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.identitytoolkit.model;

import com.google.api.client.json.GenericJson;

/**
 * Request to set the account information.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Identity Toolkit API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class IdentitytoolkitRelyingpartySetAccountInfoRequest extends GenericJson {

  /**
   * The name of the user.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String displayName;

  /**
   * The email of the user.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String email;

  /**
   * Mark the email as verified or not.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean emailVerified;

  /**
   * The GITKit token of the authenticated user.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String idToken;

  /**
   * The local ID of the user.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String localId;

  /**
   * The out-of-band code of the change email request.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String oobCode;

  /**
   * The new password of the user.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String password;

  /**
   * The associated IDPs of the user.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<String> provider;

  /**
   * Mark the user to upgrade to federated login.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean upgradeToFederatedLogin;

  /**
   * The name of the user.
   * The value returned may be {@code null}.
   */
  public String getDisplayName() {
    return displayName;
  }

  /**
   * The name of the user.
   * The value set may be {@code null}.
   */
  public IdentitytoolkitRelyingpartySetAccountInfoRequest setDisplayName(String displayName) {
    this.displayName = displayName;
    return this;
  }

  /**
   * The email of the user.
   * The value returned may be {@code null}.
   */
  public String getEmail() {
    return email;
  }

  /**
   * The email of the user.
   * The value set may be {@code null}.
   */
  public IdentitytoolkitRelyingpartySetAccountInfoRequest setEmail(String email) {
    this.email = email;
    return this;
  }

  /**
   * Mark the email as verified or not.
   * The value returned may be {@code null}.
   */
  public Boolean getEmailVerified() {
    return emailVerified;
  }

  /**
   * Mark the email as verified or not.
   * The value set may be {@code null}.
   */
  public IdentitytoolkitRelyingpartySetAccountInfoRequest setEmailVerified(Boolean emailVerified) {
    this.emailVerified = emailVerified;
    return this;
  }

  /**
   * The GITKit token of the authenticated user.
   * The value returned may be {@code null}.
   */
  public String getIdToken() {
    return idToken;
  }

  /**
   * The GITKit token of the authenticated user.
   * The value set may be {@code null}.
   */
  public IdentitytoolkitRelyingpartySetAccountInfoRequest setIdToken(String idToken) {
    this.idToken = idToken;
    return this;
  }

  /**
   * The local ID of the user.
   * The value returned may be {@code null}.
   */
  public String getLocalId() {
    return localId;
  }

  /**
   * The local ID of the user.
   * The value set may be {@code null}.
   */
  public IdentitytoolkitRelyingpartySetAccountInfoRequest setLocalId(String localId) {
    this.localId = localId;
    return this;
  }

  /**
   * The out-of-band code of the change email request.
   * The value returned may be {@code null}.
   */
  public String getOobCode() {
    return oobCode;
  }

  /**
   * The out-of-band code of the change email request.
   * The value set may be {@code null}.
   */
  public IdentitytoolkitRelyingpartySetAccountInfoRequest setOobCode(String oobCode) {
    this.oobCode = oobCode;
    return this;
  }

  /**
   * The new password of the user.
   * The value returned may be {@code null}.
   */
  public String getPassword() {
    return password;
  }

  /**
   * The new password of the user.
   * The value set may be {@code null}.
   */
  public IdentitytoolkitRelyingpartySetAccountInfoRequest setPassword(String password) {
    this.password = password;
    return this;
  }

  /**
   * The associated IDPs of the user.
   * The value returned may be {@code null}.
   */
  public java.util.List<String> getProvider() {
    return provider;
  }

  /**
   * The associated IDPs of the user.
   * The value set may be {@code null}.
   */
  public IdentitytoolkitRelyingpartySetAccountInfoRequest setProvider(java.util.List<String> provider) {
    this.provider = provider;
    return this;
  }

  /**
   * Mark the user to upgrade to federated login.
   * The value returned may be {@code null}.
   */
  public Boolean getUpgradeToFederatedLogin() {
    return upgradeToFederatedLogin;
  }

  /**
   * Mark the user to upgrade to federated login.
   * The value set may be {@code null}.
   */
  public IdentitytoolkitRelyingpartySetAccountInfoRequest setUpgradeToFederatedLogin(Boolean upgradeToFederatedLogin) {
    this.upgradeToFederatedLogin = upgradeToFederatedLogin;
    return this;
  }

}
